Page MenuHomePhabricator

Constraint was removed from property but still displayed on Lexeme
Closed, ResolvedPublic

Description

The value requires statement constraint (Q21510864) on item for this sense was removed almost a month ago, but I still see a violation for it e. g. on L46038-S1. Purging the page didn't help.

Bug reported on 15.5. by user:Galaktos on Contact the dev team page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2019, 10:52 AM

The constraint is still in the wbqc_constraints table (Quarry). My best guess is that, when the constraints table update job ran (triggered by the edit removing the constraint), it fetched the property from a replica that hadn’t seen the constraint removal yet. Let’s try making that fetch from the master instead.

Change 510498 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Load property for update from master database

https://gerrit.wikimedia.org/r/510498

Change 510499 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Track revision ID in constraints update job

https://gerrit.wikimedia.org/r/510499

Change 510498 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Load property for update from master database

https://gerrit.wikimedia.org/r/510498

Note: after the fix is deployed, we should also run extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php to fix the constraints for all current properties without having to wait for the next constraint statements edit.

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:25 PM

Yeah let's run the script to get it completely fixed. We have too many properties to rely on all of them being edited.

Mentioned in SAL (#wikimedia-operations) [2019-06-26T13:16:04Z] <Lucas_WMDE> begin lucaswerkmeister-wmde@mwmaint1002:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php wikidatawiki # T223372

Mentioned in SAL (#wikimedia-operations) [2019-06-26T13:17:03Z] <Lucas_WMDE> end (success) lucaswerkmeister-wmde@mwmaint1002:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintStatements.php wikidatawiki # T223372

Change 510499 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Track revision ID in constraints update job

https://gerrit.wikimedia.org/r/510499